@model FAA_UI.ViewModels.ProfileViewModel
<h4 style="font-family:'Garamond',sans-serif;margin:9px 9px 9px 75px;">Test Profiles</h4>
<div class="row" style="margin:0px;padding:0px;">
    @using(Html.BeginForm("Index","Profile",FormMethod.Post,new{@class="form-horizontal",style="width:100%;"}))
    {
    <div style="width:28%;" class="column">
        <div class="table-responsive">
            <table id="tblTestProfile" class="styled-table">
                <thead>
                    <tr>
                        <th style="display:none;">
                            @Html.DisplayNameFor(model => model.tblProfile.ProfileId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.tblProfile.ProfileCode)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.tblProfile.ProfileName)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model.tblTestProfiles) {
                        if(item!=null)
                        {
                            <tr>
                                <td style="display:none;">
                                    @Html.DisplayFor(modelItem => item.ProfileId)                
                                </td>
                                <td>
                                    @Html.ActionLink(item.ProfileCode,"Index","Profile",new { ProfileID = item.ProfileId },new{style="font-size:12px;color:blue;"})
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.ProfileName)
                                </td>
                            </tr>
                        }
                    }
                </tbody>
            </table>
        </div>
    </div>
    <div style="width:68%;" class="column">
        <div class="accordion" id="accordionProfile">
            <div class="card">
                <div class="card-header" id="headingDetail">
                <h2 class="mb-0">
                    <button class="collapsible" type="button" data-toggle="collapse" data-target="#collapseDetail" aria-expanded="true" aria-controls="collapseDetail">
                    Profile Details
                    </button>
                </h2>
                </div>
                <div id="collapseDetail" class="collapse show" aria-labelledby="headingDetail" data-parent="#accordionProfile">
                    <div class="card-body" style="height:65vh">
                        <div class="form-group row">
                            <div class="form-group" style="display:none;">
                                @Html.TextBoxFor(model =>model.tblProfile.ProfileId,new{@id="profileID"}) 
                                @Html.TextBoxFor(model =>model.selectedProfileID)      
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.tblProfile.ProfileCode)
                                @Html.TextBoxFor(model =>model.tblProfile.ProfileCode,new{@id="profileCode"})  
                                @Html.ValidationMessageFor(model =>model.tblProfile.ProfileCode) 
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.tblProfile.ProfileName)
                                @Html.TextBoxFor(model =>model.tblProfile.ProfileName,new{@id="profileName"}) 
                                @Html.ValidationMessageFor(model =>model.tblProfile.ProfileName)    
                            </div>
                        </div>
                        <div>
                            @await Html.PartialAsync("/Views/Shared/TestListIndex.cshtml",Model.tblTestListModel)
                        </div>
                       
                     </div>
                </div>
            </div>
        </div>    
        <div class="form-group row" style="margin-right: 25px;margin-top: 10px;float:right;">
            <div class="form-group">
                <button type="button" class="btn btn-info" value="Save" id="btnSave">Save</button>
                <button type="button" class="btn btn-info" value="Clear" id="btnCreate">Create</button>
            </div> 
        </div>
    </div>
    } 
</div>
@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {

            $('#tblTestProfile').DataTable(
            {
                paging:   false,
                ordering: false,
                info:     false,
                searching: false,
                scrollY:   '75vh'
            });

            $("#btnSave").click(function()
            {
                var data = {};
                data.ProfileId = $('#profileID').val();
                data.ProfileCode = $('#profileCode').val();
                data.ProfileName = $('#profileName').val();
                var Selected= new Array();

                $('.Testchecked').each(function(i, obj) {    
                    Selected[i]=$(obj).closest( "button" ).attr("id");
                });

                data.selectedIds=Selected;     

                $.ajax({
                    type:'POST',
                    url:'@Url.Action("Update","Profile")',
                    data:{viewData:JSON.stringify(data)},
                    success:function()
                    {
                        window.location.href = '@Url.Action("Index", "Profile")';
                    },
                    error:function(result)
                    {
                       alert("Unknown Error");    
                    }
                });
            });
            $("#btnCreate").click(function()
            {
                $('#profileID').val("");
                $('#profileCode').val("");
                $('#profileName').val("");
            });
        });
    </script>
}